Parser (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.Parser class
Date: 2017-09-13

net.sourceforge.jnlp

## Class Parser

- java.lang.Object
- - net.sourceforge.jnlp.Parser

-     public final class Parser
      extends java.lang.Object

  Contains methods to parse an XML document into a JNLPFile. Implements JNLP specification version 1.0.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `MALFORMED_PARSER_CLASS`
    `static java.lang.String` | `NORMAL_PARSER_CLASS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInfo(InformationDesc info, net.sourceforge.jnlp.Node node, java.lang.String mod, java.lang.Object value)` Adds a key,value pair to the information object.
    `java.net.URL` | `getCodeBase()`
    `java.net.URL` | `getFileLocation()` Returns the file location.
    `Version` | `getFileVersion()` Returns the file version.
    `java.util.Locale` | `getLocale(java.lang.String localeStr)` Returns a `Locale` from a single locale.
    `static java.lang.Object` | `getParserInstance(ParserSettings settings)`
    `Version` | `getSpecVersion()`
    `static java.net.URL` | `getURL(java.lang.String href, java.lang.String nodeName, java.net.URL base, boolean strict)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MALFORMED_PARSER_CLASS

          public static final java.lang.String MALFORMED_PARSER_CLASS

      See Also:
        Constant Field Values

    - #### NORMAL_PARSER_CLASS

          public static final java.lang.String NORMAL_PARSER_CLASS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getFileVersion

          public Version getFileVersion()

      Returns the file version.
      Returns:
        version of file

    - #### getFileLocation

          public java.net.URL getFileLocation()

      Returns the file location.
      Returns:
        url of source file

    - #### getCodeBase

          public java.net.URL getCodeBase()

      Returns:
        the codebase.

    - #### getSpecVersion

          public Version getSpecVersion()

      Returns:
        the specification version.

    - #### addInfo

          protected void addInfo(InformationDesc info,
                                 net.sourceforge.jnlp.Node node,
                                 java.lang.String mod,
                                 java.lang.Object value)

      Adds a key,value pair to the information object.
      Parameters:
        `info` - the information object
        `node` - node name to be used as the key
        `mod` - key name appended with "-"+mod if not null
        `value` - the info object to add (icon or string)

    - #### getLocale

          public java.util.Locale getLocale(java.lang.String localeStr)

      Returns a `Locale` from a single locale.
      Parameters:
        `localeStr` - the locale string
      Returns:
        locale of document

    - #### getURL

          public static java.net.URL getURL(java.lang.String href,
                                            java.lang.String nodeName,
                                            java.net.URL base,
                                            boolean strict)
                                     throws ParseException

      Throws:
        `ParseException`

    - #### getParserInstance

          public static java.lang.Object getParserInstance(ParserSettings settings)
                                                    throws java.lang.ClassNotFoundException,
                                                           java.lang.IllegalAccessException,
                                                           java.lang.InstantiationException

      Throws:
        `java.lang.ClassNotFoundException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

Submit a bug or feature